PHPMyAdmin: Warning in ./libraries/sql.lib.php#613 count(): Parameter must be an array or an object that implements Countable

После обновления Ubuntu вдруг стала выходить такая ошибка в PHPNyAdmin в варнингах. Все не доходили руки посмотреть, да вот дошли. Это ошибка в файле /usr/share/phpmyadmin/libraries/sql.lib.php. Нужно найти сточку:

|| (count($analyzed_sql_results['select_expr'] == 1)

И исправить её на:

|| ((count($analyzed_sql_results['select_expr']) == 1)

Не правильно скобочки поставили разработчики  😉

Комментарии:

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Лимит времени истёк. Пожалуйста, перезагрузите CAPTCHA.

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.